GET scenarios/zebratester/{scenario_id}?include_associated_check_ids={include_associated_check_ids}
Gets info about a ZebraTester scenario.
URL Parameters
| Name | Description |
|---|---|
| scenario_id | ZebraTester scenario identifier. Type: numeric. |
| include_associated_check_ids | (Optional) Indicates whether identifiers of the associated checks should be included in the response. By default, they are not included and the corresponding property of the response is null. Type: boolean. Example: true. Default value: false. |
Request example
curl --request GET "https://api-asm1.apica.io/v3/scenarios/zebratester/5666?include_associated_check_ids=true&auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E"
Response body model example and description
ZebraTester scenario info
{
"id": 1,
"original_filename": "sample string 2",
"zebratester_version": "sample string 3",
"class_name": "sample string 4",
"compiled_as_zip": true,
"created_utc": "2026-05-13T03:44:18",
"updated_utc": "2026-05-13T03:44:18",
"associated_check_ids": [
1,
2,
3
],
"scenario_compilation_logs": [
{
"Id": 1,
"ScenarioId": 2,
"ScenarioCompiledFileId": 1,
"TimestampUtc": "2026-05-13T03:44:18",
"Message": "sample string 4",
"UserGuid": "237b69ef-c444-49ca-af2f-7757e8330dcd"
},
{
"Id": 1,
"ScenarioId": 2,
"ScenarioCompiledFileId": 1,
"TimestampUtc": "2026-05-13T03:44:18",
"Message": "sample string 4",
"UserGuid": "4e885437-8987-4d89-ac09-f3333ff259ed"
},
{
"Id": 1,
"ScenarioId": 2,
"ScenarioCompiledFileId": 1,
"TimestampUtc": "2026-05-13T03:44:18",
"Message": "sample string 4",
"UserGuid": "ff1a7d10-a735-497e-9dad-07c578db281b"
}
]
}
| Name | Type | Description |
|---|---|---|
| id | Integer | The scenario's numeric identifier. |
| original_filename | String | The original filename. |
| zebratester_version | String | The version of ZebraTester. |
| class_name | String | The scenario class name. |
| compiled_as_zip | Boolean | The scenario is compiled as ZIP. |
| created_utc | DateTime | The time at which the scenario was created. |
| updated_utc | DateTime | The last time at which the scenario was updated. |
| associated_check_ids | Array | The list of identifiers of the checks which are associated with the scenario. |
| scenario_compilation_logs | Array | Compilation Logs generated during scenario compilation |
| Id | Integer | No documentation available. |
| ScenarioId | Integer | No documentation available. |
| ScenarioCompiledFileId | Integer | No documentation available. |
| TimestampUtc | DateTime | No documentation available. |
| Message | String | No documentation available. |
| UserGuid | Guid | No documentation available. |